PETSc version 3.15.5
Fix/Edit manual page

# DMShellGetCreateInjection

Get the routine used to create the injection operator

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetCreateInjection(DM dm, PetscErrorCode (**inject)(DM,DM,Mat*))

Logically Collective on dm

### Input Argument

| dm | - the shell DM

### Output Argument

| inject | - the routine to create the injection

### See Also

DMShellGetCreateInterpolation(), DMCreateInjection(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages